Update a workspace member role
curl --request PATCH \
--url https://api.acornops.dev/api/v1/workspaces/{workspaceId}/members/{userId} \
--header 'Content-Type: application/json' \
--cookie acornops_cp_session= \
--data '
{
"role": "<string>"
}
'const options = {
method: 'PATCH',
headers: {cookie: 'acornops_cp_session=', 'Content-Type': 'application/json'},
body: JSON.stringify({role: '<string>'})
};
fetch('https://api.acornops.dev/api/v1/workspaces/{workspaceId}/members/{userId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"workspaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"role": "<string>",
"email": "jsmith@example.com",
"displayName": "<string>",
"roleTemplate": {
"key": "<string>",
"displayName": "<string>",
"kind": "system",
"capabilities": [
"<string>"
],
"capabilityGroups": [
{
"key": "workspace",
"capabilities": [
"<string>"
],
"sortOrder": 123
}
],
"protected": true,
"sortOrder": 123,
"description": "<string>"
},
"joinedAt": "2023-11-07T05:31:56Z"
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}Workspaces and members
Update a workspace member role
Update a workspace member role
curl --request PATCH \
--url https://api.acornops.dev/api/v1/workspaces/{workspaceId}/members/{userId} \
--header 'Content-Type: application/json' \
--cookie acornops_cp_session= \
--data '
{
"role": "<string>"
}
'const options = {
method: 'PATCH',
headers: {cookie: 'acornops_cp_session=', 'Content-Type': 'application/json'},
body: JSON.stringify({role: '<string>'})
};
fetch('https://api.acornops.dev/api/v1/workspaces/{workspaceId}/members/{userId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"workspaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"role": "<string>",
"email": "jsmith@example.com",
"displayName": "<string>",
"roleTemplate": {
"key": "<string>",
"displayName": "<string>",
"kind": "system",
"capabilities": [
"<string>"
],
"capabilityGroups": [
{
"key": "workspace",
"capabilities": [
"<string>"
],
"sortOrder": 123
}
],
"protected": true,
"sortOrder": 123,
"description": "<string>"
},
"joinedAt": "2023-11-07T05:31:56Z"
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}Authorizations
Path Parameters
Example:
"4b930d98-add9-4924-ab26-3c16d96ec373"
Body
application/json
Deployment-supported workspace role key. Built-ins are owner, admin, operator, viewer, and auditor; custom roles are lowercase snake_case.
Pattern:
^[a-z][a-z0-9]*(?:_[a-z0-9]+)*$